| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Locale
Locale.DeferredLocale

# Class Locale.DeferredLocale

Description

  This class simulates a multi-language "string". The actual language to use is determined as late as possible.

syntax

  `protected string Locale.DeferredLocale.project`
  `protected function(:string) Locale.DeferredLocale.get_lang`
  `protected string|int Locale.DeferredLocale.key`
  `protected string Locale.DeferredLocale.fallback` `void Locale.DeferredLocale(string project, function(:string) get_lang, string|int key, string fallback)`